//
//  ViewController.swift
//  ImageRegisterBug
//
//  Created by Westin Newell on 8/19/19.
//  Copyright © 2019 Westin Newell. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    let imageView = UIImageView()

    override func viewDidLoad() {
        super.viewDidLoad()

        let dayImage = UIImage(named: "Day")!
        let nightImage = UIImage(named: "Night")!
        dayImage.imageAsset?.register(nightImage, with: UITraitCollection(userInterfaceStyle: .dark))

        imageView.image = dayImage

        overrideUserInterfaceStyle = .dark
    }

    override func loadView() {
        view = imageView
    }
}

